Bug 1200811 - Configurable Workbench: Disunity in errors and warnings representation
Summary: Configurable Workbench: Disunity in errors and warnings representation
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss BRMS Platform 6
Classification: Retired
Component: Business Central
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: ---
Assignee: Eder Ignatowicz
QA Contact: Tomas David
URL:
Whiteboard:
Depends On: 1197644
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-11 12:24 UTC by Tomas David
Modified: 2020-03-27 19:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-27 19:05:08 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomas David 2015-03-11 12:24:28 UTC
Description of problem:
There is disunity in errors and warnings representation. See Steps to Reproduce.

Version-Release number of selected component (if applicable):
6.1.0.ER6

How reproducible:
-

Steps to Reproduce:
1. When you try to create new plugin with incorrect name, inline error is displayed.
2. When you try to rename or copy plugin to incorrect name, browser allert is displayed.
3. When you try to rename or copy plugin to existing name, modal dialog error is displayed.

Actual results:
Similar errors and warning have disunited representation.

Expected results:
Similar errors and warning should have united representation.

Additional info:
-

Comment 1 Tomas David 2015-09-24 06:18:35 UTC
Still appear in 6.2.0.ER3.

Also when you try to rename or copy plugin to existing name, modal dialog error is displayed and it contains exception:

Unable to complete your request. The following exception occurred: org.uberfire.java.nio.file.FileAlreadyExistsException.

It should contain some "human readable" warning.


Note You need to log in before you can comment on or make changes to this bug.